
pra_line1=obs2013;
tcn_line1=pre2013;
E=mse(obs2013-pre2013);
RMSE=sqrt(E);
pra_line2=obs2014;
tcn_line2=pre2014;
pra_line3=obs2018;
tcn_line3=pre2018;
yaxis_lim=[75 130 185 ;...
           80 155 260 ;...
           65  76 87 ];
legend_position=[0.7948,0.8045,0.111,0.1062 ;...
                             0.7948,0.5130,0.111,0.1062 ;...
                             0.7948,0.2155,0.111,0.1062 ];
time=1:366;
ph=tight_subplot(3,1,[0.1 0.1],[0.1 0.1],[0.1 0.1]);
set(gcf,'position',[100,100,1000,400])
for i=1:3
    axes(ph(i))
    eval([  'l1=tcn_line',num2str(i),';'  ])
    eval([  'l2=pra_line',num2str(i),';'  ])
    %text(0.5,0.6045,'High solar year')
    plot(time,l1,'marker','o','markersize',6,'linestyle','none','markeredgecolor',[0,102,183]/256,'markerfacecolor',[77,190,238]/256)
    hold on
    plot(time,l2,'linewidth',1.8,'color','k')
    %text(0.5,0.6045,'High solar year')
    if i==1
        set(gca,'xtick',[1 182 365],'xticklabel',{'01/01/2013','07/01/2013','12/31/2013'})
        text(182,178,'High solar year(a)','fontsize',12)
    end
    if i==2
        set(gca,'xtick',[1 182 365],'xticklabel',{'01/01/2014','07/01/2014','12/31/2014'})
        text(182,249,'High solar year(b)','fontsize',12)
    end
    if i==3
        set(gca,'xtick',[1 182 366],'xticklabel',{'01/01/2018','07/01/2018','12/31/2018'})
         text(182,86,'Low solar year(c)','fontsize',12)
    end
    
    set(gca,'ytick',yaxis_lim(i,:),'Fontweight','bold','fontsize',12)
    axis([1,366,yaxis_lim(i,1),yaxis_lim(i,3)])
    ylabel('F10.7','Fontweight','bold','fontsize',14)
    legend({'TCN','Practical'},'position',legend_position(i,:))

    grid on
    
end
saveas(1, 'C:\Users\Administrator\Desktop\shuju\高低年预测图.png'); %保存Figure 1窗口的图像

%%
% 创建一个新的图形窗口
figure;

% 数据示例
x = 1:365;
y1 = tcnvmdtcn2014(:,1);
y2 = tcnvmdtcn2014(:,2);
y3 = tcnvmdtcn2014(:,3);
% 绘制第一个折线图
plot(x, y1,'marker','o','markersize',6,'linestyle','none','markeredgecolor',[0,102,183]/256,'markerfacecolor',[77,190,238]/256);
hold on;
% 绘制第二个折线图
plot(x, y2, 'LineWidth',1,'Color','black','LineStyle', '--');
% 绘制第三个折线图
plot(x, y3, 'LineWidth', 1,'Color', [1 0.5 0]);
hold off;

% 设置坐标轴属性
xlabel('2014年');
xticks([1 32 60 91 121 152 182 213 244 274 305 335 365]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
ylabel('F10.7/sfu');
legend('F10.7观测值', 'TCN预测', 'VMD-TCN预测' );
text(200,240,'Year 2014','fontsize',20)
axis tight;

%%
saveas(1, 'C:\Users\Administrator\Desktop\shuju\vmd_tcn\2014对比结果.png.png'); 
%%
% 创建一个新的图形窗口
figure;

% 数据示例
x = 1:365;
y1 = Untitled(:,1);
y2 = Untitled(:,2);
y3 =Untitled(:,3);
y4=Untitled(:,4);
y5=Untitled(:,5);
y6=Untitled(:,6);
% 绘制第一个子图
subplot(6, 1, 1)
plot(x, y1, 'LineWidth', 2,'Color', 'black');
ylabel('\fontsize{14}IMF1');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
 axis tight;
% 绘制第二个子图
subplot(6, 1, 2);
plot(x, y2, 'LineWidth', 2,'Color', 'black');
ylabel('\fontsize{14}IMF2');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
 axis tight;
% 绘制第三个子图
subplot(6, 1, 3);
plot(x, y3, 'LineWidth', 2,'Color', 'black');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
ylabel('\fontsize{14}IMF3');
 axis tight;
% 绘制第四个子图
subplot(6, 1, 4);
plot(x, y4, 'LineWidth', 2 ,'Color', 'black');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
ylabel('\fontsize{14}IMF4');
 axis tight;

% 绘制第五个子图
subplot(6, 1, 5)
plot(x, y5, 'LineWidth', 2,'Color', 'black');
ylabel('\fontsize{14}IMF5');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
 axis tight;
% 绘制第六个子图
subplot(6, 1, 6)
plot(x, y6, 'LineWidth', 2,'Color', 'black');
ylabel('\fontsize{14}Res');
xticks([0,31,59,90,120,151,182,213,243,274,304,334]);
xticklabels({'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'});
axis tight;
xlabel('\fontsize{14}2015年');
%%
saveas(1, 'C:\Users\Administrator\Desktop\shuju\vmd_tcn\2015年VMD分量画图堆叠.png'); %保存Figure 1窗口的图像

